unit Unitx;

interface

uses
  Windows, SysUtils, Classes, Forms;


const maxpos = 32;
      maxir = 96;

type

  TPosData = array [0..maxpos] of byte;
  TIrData = array [0..maxir] of byte;

var
  posdata: TPosData;
  irdata: TIrData;

  _ExeName : string[255];
  _ExeDir : string[255];

function binb(n: byte): string;  
function IBox(s: string): integer;
function EBox(s: string): integer;
function QBox(s: string): integer;

implementation

function binb(n: byte): string;
var a, b: byte;
begin
 result := '';
 for a := 7 downto 0 do begin
  b := 1 shl a;
  result := result + Char(48 + Byte((Byte(n) and b) = b));
 end;
end;

function IBox(s: string): integer;
begin
 result := application.messagebox(PChar(s), 'Information', MB_TOPMOST + mb_iconinformation+mb_ok);
end;

function EBox(s: string): integer;
begin
 result :=  application.messagebox(PChar(s), 'Error', MB_TOPMOST+mb_iconStop+mb_ok);
end;

function QBox(s: string): integer;
begin
 result :=  application.messagebox(PChar(s), 'Question', MB_TOPMOST+mb_iconQuestion+mb_yesno);
end;


procedure GetExePath;
var S: String;
    i: integer;
begin
 S := ExpandFileName(ParamStr(0));
 _ExeName := ExtractFileName(S);
 for i := length(_exename) downto 1 do
  begin
   if _exename[i] = '.' then
    begin
     _ExeName := Copy(_ExeName,1,i-1);
     break;
    end;
  end;
 _ExeDir := ExtractFilePath(S);
end;


initialization
 GetExePath;
 
end.